@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.0/font/bootstrap-icons.css");
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;1,100;1,200;1,300;1,400;1,500&display=swap');

/*base*/

h1 {
  font-size: 2.5rem !important;
  font-weight: 600;
  color: rgb(29, 28, 28);

}

h2 {
  font-size: 2rem !important;
  font-weight: 600;

}

h3 {
  font-size: 1.5rem !important;
  font-weight: 600;

}

h4 {
  font-size: 1.2rem !important;
  font-weight: 600;

}

h5 {
  font-size: 1.35rem !important;
  font-weight: 600;

}

h6 {
  font-size: 0.4rem !important;
  font-weight: 600;

}

html {
  font-size: 15px;
  scroll-behavior: inherit;
}

@media screen and (max-width: 1240px) {
  html {
    font-size: 14px;
  }
}

@media screen and (max-width: 840px) {
  html {
    font-size: 13px;
  }
}

@media screen and (max-width: 540px) {
  html {
    font-size: 12px;
  }
}

/*Página*/

body {
  padding: 0;
  margin: 0;
  font-family: 'Poppins', sans-serif;
  overflow-x: hidden;

}

*::selection {
  background-color: #380202c7;
  /* fallback for old browsers */

  color: white;
}

*::-moz-selection {
  background-color: #380202c7;
  /* fallback for old browsers */

  color: white;
}

.titulos {
  color: #fba10b !important;
  font-size: 2.0em;
  width: 100%;
  font-weight: bold;

}

.subtitulos {
  font-size: 18px;
  font-weight: 400;
}


/*NAVEGADOR*/
#header {
  background-color: white;
  color: rgba(0, 0, 0, 0.753);
  padding: 0.5%;
  cursor: pointer;
}

#header a {

  color: black;
  text-decoration: none;

}


#header i {

  color: #EC1C24;

}

#header i:hover {

  color: #c5b0e9;

}

.navbar-toggler {
  background: #EC1C24 !important;

}


#navegador-lm {
  background: rgb(5, 5, 5);
  background: linear-gradient(90deg, rgba(5, 5, 5, 1) 0%, rgba(29, 28, 28, 0.9836309523809523) 35%, rgba(19, 19, 19, 1) 100%);
}

#navegador-lm ul {
  margin-left: 21px;
}

#navegador-lm ul li a {
  color: rgba(255, 255, 255, 0.753);

}

#navegador-lm ul li a:hover {
  color: #fb0b0b;
}


.bg-scroll {
  background: #ECE9E6 !important;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #FFFFFF, #ECE9E6) !important;
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #FFFFFF, #ECE9E6) !important;
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

/*SECCION PORTADA*/
#portada-1 {
  background-image: url("../img/locksmith-vancouver-9.jpg");
  background-size: cover;
  background-attachment: fixed;
  height: auto;
  padding-top: 350px;
  padding-bottom: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  animation: movimiento 25s infinite alternate;
  -webkit-animation: movimiento 25s infinite alternate;
}

/*keyframes*/
@keyframes movimiento {
  from {
    background-position: bottom left;
  }

  to {
    background-position: top right;
  }
}

.contenedor-carrusel {
  position: relative;


}

#contenedor-texto-portada {

  background: rgba(8, 8, 8, 0.5);
  background: linear-gradient(90deg, rgba(5, 5, 5, 0.76) 5%, rgba(14, 13, 13, 0.671) 100%);

  text-align: center;
  color: white;

  padding: 5%;

}

#contenedor-texto-portada2 {

  background-color: rgba(255, 255, 255, 0.616);

  padding: 5%;

}

#box-texto-portada {
  padding: 4%;

}

.btn-color-arrow {
  background-color: #220338d7;

}

.titulo-portada {
  font-size: 3.3em;
  font-weight: bold;
  text-align: left;
}

.subtitulo-portada {
  font-size: 1.8em;
  color: #ffc767 !important;
  font-weight: bold;
}

.parrafo-portada {
  font-size: 1.4em;
  text-align: left;

}

#btn-callnow {
  position: relative;
  top: 30px;
  background-color: #EC1C24;
  color: white;
  font-weight: bold;
}


/*subportada*/
#section-subportada {
  color: black;
  background: #eee8e8;
}

#section-subportada h5 {
  color: white;
  margin-top: 140px;
  font-weight: bold;
  background-color: rgba(0, 0, 0, 0.685);

}

#p1 {

  background: linear-gradient(to right, rgba(255, 255, 255, 0.376), rgba(255, 255, 255, 0)), url("../img/residential-locks-vancouver-1.jpg");


  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  height: 300px;
  cursor: pointer;
}

#p2 {
  background: linear-gradient(to right, rgba(255, 255, 255, 0.376), rgba(255, 255, 255, 0)), url("../img/commercial-locksmiths-vancouver-2.jpg");

  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
}

#p3 {
  background: linear-gradient(to right, rgba(255, 255, 255, 0.376), rgba(255, 255, 255, 0)), url("../img/commercial-locksmiths-vancouver-1.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
}

#p4 {
  background: linear-gradient(to right, rgba(255, 255, 255, 0.376), rgba(255, 255, 255, 0)), url("../img/electronic-locks-vancouver-1.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
}

/*HOOVER*/
#p1:hover {

  background: linear-gradient(to right, rgba(8, 8, 8, 0.753), rgba(12, 1, 1, 0.623)), url("../img/residential-locks-vancouver-1.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  height: 300px;
  cursor: pointer;
}

#p2:hover {
  background: linear-gradient(to right, rgba(8, 8, 8, 0.753), rgba(12, 1, 1, 0.623), rgba(12, 1, 1, 0.623)), url("../img/commercial-locksmiths-vancouver-2.jpg");

  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
}

#p3:hover {
  background: linear-gradient(to right, rgba(8, 8, 8, 0.753), rgba(12, 1, 1, 0.623), rgba(12, 1, 1, 0.623)), url("../img/commercial-locksmiths-vancouver-1.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
}

#p4:hover {
  background: linear-gradient(to right, rgba(8, 8, 8, 0.753), rgba(12, 1, 1, 0.623), rgba(12, 1, 1, 0.623)), url("../img/electronic-locks-vancouver-1.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 300px;
  cursor: pointer;
  color: rgb(202, 11, 11) !important;
}

#p1:hover h5,
#p2:hover h5,
#p3:hover h5,
#p4:hover h5 {

  color: rgb(202, 11, 11) !important;
  animation: movimiento2 2.5s linear infinite;
  background-color: black;
}

@keyframes movimiento2 {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(0px);
  }
}


/*SECTION ABOUT US*/
#about-us {

  padding: 3%;
  background: #fffbfb;
}

#about-us h2 {
  color: black;
  font-weight: bold;
  font-size: 40px;
}

#about-us h4,
h3 {
  color: rgba(0, 0, 0, 0.705);
  font-weight: normal !important;
}

#box-introduction {

  padding: 5%;
  -webkit-box-shadow: 0px 1px 15px -4px #000000;
  box-shadow: 0px 1px 15px -4px #000000;
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
  font-size: 1.2rem;
}

#btn-contacto {
  position: relative;
  background-color: #EC1C24;
  color: white;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 300px;
  margin-left: auto !important;
  margin-right: auto !important;
  margin-top: -25px;
  font-weight: bold;
}

#btn-contacto2 {
  position: relative;
  background-color: yellow;
  color: black;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 300px;
  margin-left: auto !important;
  margin-right: auto !important;
  margin-top: -25px;
  font-weight: bold;
}

#btn-contacto:hover,
#btn-contacto2:hover {
  transform: translateY(-2px);
}

/*SERVICIOS*/
.details {
  text-align: center;
}

.details h2 {
  color: black;
  font-size: 40px;
  margin: 0;
}

.main-box {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.box {
  width: 300px;
  height: auto;
  margin: 10px;
  text-align: center;
  padding: 40px 20px;
  color: #ffffff;
  position: relative;
  z-index: 2;
  border-radius: 5px;
  cursor: pointer;
}

.box>* {
  position: relative;
  z-index: 2;
  color: #ffffff;
}

.box::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  border: 2px solid rgba(255, 255, 255, 0.5);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}

.box:hover::before {
  width: 95%;
  height: 95%;
  transition: all ease .50s;
}

.box .icon {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: white;
  text-align: center !important;
  display: inline-block;
  position: relative;
  align-items: center;
}

.box .icon i {
  font-size: 55px;
  color: #EC1C24;

}

.box .icon .fas {
  color: #404044;
  font-size: 30px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#services hr {
  margin-top: 25px;
  margin-bottom: 25px;
  display: block;
  width: 100%;
  border: 1px solid rgba(255, 255, 255, 0.1);

}

.box:hover {
  transform: translateY(-10px);
}

.box a {
  text-decoration: none;
  color: #ffffff;
  text-transform: uppercase;
  background-color: #D50000;
  padding: 10px 25px;
  border-radius: 25px;
  margin-top: 25px;
  display: inline-block;
  font-weight: 600;
}

.box a:hover {
  background-color: #243238;

}

.box .white-border {
  border: 1px solid #ffffff;
}


.box-grey {
  background-color: rgba(0, 0, 0, 0.787);
}

.box-red {
  background-color: #D50000;
}

.box p {
  text-align: left;
  font-weight: normal !important;
}

/*PRODUCTOS*/
#products {
  margin-bottom: 100px;
  background: #eee8e8;
  padding-top: 5px;
  margin-top: 100px;
}

.box-product {
  background-color: white;

  max-width: 300px;
  -webkit-box-shadow: 0px 1px 15px -4px #000000;
  box-shadow: 0px 1px 15px -4px #000000;
  cursor: pointer;
  margin-left: auto;
  margin-right: auto;
  padding: 2%;
}

.price {
  color: #D50000;
  font-weight: bold;
}

.box-product:hover {
  -webkit-box-shadow: 0px 1px 15px -4px #D50000;
  box-shadow: 0px 1px 15px -4px #D50000;
  transform: translateY(-10px);
}

/*testimony*/
#testimony {
  margin-bottom: 100px;

}

.box-testimony {
  -webkit-box-shadow: 0px 1px 15px -4px #000000;
  box-shadow: 0px 1px 15px -4px #000000;
  padding: 5%;

}

#img-test {
  height: 400px;

  -webkit-box-shadow: 0px 1px 15px -4px #000000;
  box-shadow: 0px 1px 15px -4px #000000;

}

/*GALERIA*/
.section-padding {
  padding: 20px 0;
}

.brand-carousel {
  background: #eee8e8;
  margin-top: 10px;
}

.owl-dots {
  text-align: center;
  margin-top: 4%;
}

.owl-dot {
  display: inline-block;
  height: 15px !important;
  width: 15px !important;
  color: #45BDEA !important;
  opacity: 0.8;
  border-radius: 50%;
  margin: 0 5px;
}

.owl-dot.active {
  background-color: #F7F7F7 !important;
}

.single-logo img {
  height: 400px;
}

/*Contacto*/

#contacto {
  background-color: white;
  text-align: left;
  margin-bottom: 80px;
}

#contacto h1 {
  text-align: center !important;
  margin-bottom: 3rem;
}

#contacto textarea {
  resize: none;
}

#contacto span {
  color: rgb(202, 11, 11);
}

/*FOOTER*/
footer {
  background: linear-gradient(90deg, rgba(5, 5, 5, 1) 0%, rgba(29, 28, 28, 0.9836309523809523) 35%, rgba(19, 19, 19, 1) 100%);
  padding-top: 50px;
  position: relative;
  height: 400px;
}

footer ul {
  
  margin-left: auto;
  margin-right: auto;
}

footer ul li {
  list-style: none;
  text-align: left;
}

footer li a {
  text-decoration: none !important;
  font-style: none;
  color: white;
}

footer li a:hover {
  text-decoration: none !important;
  font-style: none;
  color: rgb(185, 183, 183);
}

footer h4 {
  color: #EC1C24;
}

footer h6 {
  color: #EC1C24;
}

footer a i {
  color: #EC1C24;
  font-size: 30px;
  margin-right: 10px;
}

footer a i:hover {
  color: #ec1c2393;

}

#titfooter {
  font-size: 40px !important;
}

.links {
  font-size: 18px;
}

#fderecho {
  position: absolute;
  bottom: 0;
  right: 0;
}


/*Media Queries*/

@media (max-width:1000px) {

  #portada-1 {
    padding-top: 250px;
    padding-bottom: 50px;
    background-attachment: scroll;

  }

  #header img {
    margin-left: -20px;
  }

  #block-numeros {
    margin-top: -20px;
    margin-bottom: 15px;
  }

  .titulo-portada {
    font-size: 2rem;
  }

  .box-product {
    margin-left: auto;
    margin-right: auto;
  }

  footer {
    height: 480px;
  }

  #titfooter {
    font-size: 25px !important;
  }
}